Bug 829315 - Review Request: libzapojit - GLib/GObject wrapper for the SkyDrive and Hotmail REST APIs
Summary: Review Request: libzapojit - GLib/GObject wrapper for the SkyDrive and Hotmai...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-06 12:58 UTC by Debarshi Ray
Modified: 2012-06-08 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 16:33:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+


Attachments (Terms of Use)

Description Debarshi Ray 2012-06-06 12:58:05 UTC
Spec URL: http://rishi.fedorapeople.org/libzapojit.spec
SRPM URL: http://rishi.fedorapeople.org/libzapojit-0.0.2-1.fc17.src.rpm

Description:

GLib/GObject wrapper for the SkyDrive and Hotmail REST APIs. It supports
SkyDrive file and folder objects, and the following SkyDrive operations:
  - Deleting a file, folder or photo.
  - Listing the contents of a folder.
  - Reading the properties of a file, folder or photo.
  - Uploading files and photos.


Fedora Account System Username: rishi

Comment 1 Debarshi Ray 2012-06-06 12:58:40 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4132328

Comment 2 Matthias Clasen 2012-06-07 22:55:21 UTC
rpmlint output:

libzapojit.src: W: spelling-error Summary(en_US) GLib -> G Lib, Glib, Gib
libzapojit.src: W: spelling-error %description -l en_US GLib -> G Lib, Glib, Gib
libzapojit.src: W: invalid-url URL: http://live.gnome.org/Zapojit HTTP Error 404: Not Found
libzapojit.x86_64: W: spelling-error Summary(en_US) GLib -> G Lib, Glib, Gib
libzapojit.x86_64: W: spelling-error %description -l en_US GLib -> G Lib, Glib, Gib
libzapojit.x86_64: W: invalid-url URL: http://live.gnome.org/Zapojit HTTP Error 404: Not Found
libzapojit-debuginfo.x86_64: W: invalid-url URL: http://live.gnome.org/Zapojit HTTP Error 404: Not Found
libzapojit-devel.x86_64: W: invalid-url URL: http://live.gnome.org/Zapojit HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 0 errors, 8 warnings.


Nothing critical here.
You may want to create http://live.gnome.org/Zapojit at some point

Comment 3 Matthias Clasen 2012-06-07 23:07:13 UTC
package name: ok
spec file name: ok
packaging guidelines: ok, harmless observations:
  - the %defattr lines are not strictly necessary anymore
  - Group: is not needed either
license: ok
license field: ok
license file: ok
spec file language: ok
spec file readable: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
system libs: ok
relocatable: ok
directory ownership: 
 - should co-own %{_datadir}/gir-1.0 and %{_libdir}/girepository-1.0
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
static libs: ok
devel files: ok
devel deps: ok
libtool archives: ok
gui apps: ok
duplicate ownership: ok
utf-8 filenames: ok

Summary: fix directory ownership, everything else looks fine

Comment 4 Debarshi Ray 2012-06-08 13:08:23 UTC
(In reply to comment #2)

> You may want to create http://live.gnome.org/Zapojit at some point

Done.

Comment 5 Debarshi Ray 2012-06-08 13:13:21 UTC
(In reply to comment #3)
> packaging guidelines: ok, harmless observations:
>   - the %defattr lines are not strictly necessary anymore
>   - Group: is not needed either

Done.

> directory ownership: 
>  - should co-own %{_datadir}/gir-1.0 and %{_libdir}/girepository-1.0

Done.

Spec URL: http://rishi.fedorapeople.org/libzapojit.spec
SRPM URL: http://rishi.fedorapeople.org/libzapojit-0.0.2-2.fc17.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4140435

Comment 6 Matthias Clasen 2012-06-08 13:37:32 UTC
Looks all good now. Approved

Comment 7 Debarshi Ray 2012-06-08 14:20:09 UTC
New Package SCM Request
=======================
Package Name: libzapojit
Short Description: GLib/GObject wrapper for the SkyDrive and Hotmail REST APIs
Owners: rishi
Branches: 
InitialCC:

Comment 8 Gwyn Ciesla 2012-06-08 14:27:46 UTC
Git done (by process-git-requests).

Comment 9 Gwyn Ciesla 2012-06-08 16:45:34 UTC
Already done.


Note You need to log in before you can comment on or make changes to this bug.